const formatName = (name) => name.split(' ').map(encodeURIComponent).join('+');
const stringify = (n = 4) => (v) => JSON.stringify(v, null, n);
const now = new Date().getTime();

const fetchInfo = (name) =>
  fetch(`https://inside.here.travp.net/Search/GetSearchPeople?scope=People&searchTerms=${formatName(name)}`)
    .then(r => r.json())
    .then(r => r?.Hit?.[0]?.Content?.PeopleDocument)
    .then(p => ({
      title: `${p.FirstName} ${p.LastName}`,
      avatar: p.Picture == '/assets/images/empty.png' ? 'empty.png' : `${p.FirstName}${p.LastName}.jpg`,
      'avatar-url': p.Picture == '/assets/images/empty.png' ? 'https://inside.here.travp.net/assets/images/empty.png' : p.Picture,
      'coached-by': '',
      comments: '',
      created: new Date(now).toISOString().replace(/\D/g, ''),
      'first-name': p.FirstName,
      'full-name': p.DisplayName,
      'last-name': p.LastName,
      modified: new Date(now).toISOString().replace(/\D/g, ''),
      'personal-email': '',
      tags: 'Member',
      'trav-dept': p.Department,
      'trav-desc': p.Description || '',
      'trav-div': p.Division,
      'trav-email': p.Email,
      'trav-id': p.EId,
      'trav-lob': p.Lob,
      'trav-location': `${p.City} ${p.State} ${p.Country}`,
      'trav-profile-url': `https://inside.here.travp.net${p.Drereference}`,
      'trav-short-name': p.ShortName
    }))
    .then(stringify(2))
    .then(console.log)
    .catch(console.warn);
